Magisk v23 поставляется с исправлениями SafetyNet, но устаревшая поддержка мертва


Magisk v23 поставляется с исправлениями SafetyNet, но устаревшая поддержка мертва

Magisk – один из самых мощных инструментов, доступных для Android, который может не только получить root-права на вашем смартфоне, но даже помочь ему обойти сеть безопасности Google, которая не позволяет некоторым приложениям, таким как Google Pay, работать на модифицированных устройствах. Хотя основное внимание в последнем обновлении уделяется исправлению ошибок, в нем есть несколько заметных изменений.

Прежде всего, если вы в последнее время сталкивались с ошибками API SafetyNet, обновление Magisk V23.0 должно решить эту проблему. Во-вторых, прекращена поддержка версий Android до 5.0 Lollipop. Если вы все еще возитесь с устройством, на котором установлена ​​более старая версия Android, вам придется использовать одну из устаревших версий.

Также есть множество других исправлений – вот список изменений:

[notes]

  • [App] Обновите расширение snet. Это исправляет ошибки API SafetyNet.
  • [App] Исправьте ошибку в приложении-заглушке, которая приводит к сбою установки APK.
  • [App] Скрыть раздражающие ошибки в журналах, если они скрыты как заглушки
  • [App] Устранение проблем при исправлении tar-файлов ODIN, когда приложение скрыто
  • [General] Удалите всю поддержку до Android 5.0
  • [General] Обновите BusyBox, чтобы использовать правильную libc
  • [General] Исправить неопределенное поведение C ++
  • [General] Несколько sepolicy.rule копирование / установка исправлений
  • [MagiskPolicy] Удалите ненужные правила sepolicy
  • [MagiskHide] Обновить пакет и логику проверки имени процесса
  • [MagiskHide] Некоторые изменения, предотвращающие тупик зиготы

[/notes]

Вы можете скачать последнюю версию, перейдя в Страница Magisk на GitHub. Если вам интересно, почему нет ссылки для загрузки Magisk Manager, это потому, что он был объединен с Magisk для создания нового консолидированного приложения.

Leave a Reply

Your email address will not be published. Required fields are marked *